taglib.h File Reference
`#include <sys/types.h>`
Include dependency graph for taglib.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | TagLib
| A namespace for all TagLib related classes and functions.

## Macros

#define | TAGLIB_MAJOR_VERSION 2
#define | TAGLIB_MINOR_VERSION 2
#define | TAGLIB_PATCH_VERSION 1
#define | TAGLIB_CONSTRUCT_BITSET(x)
#define | TAGLIB_DEPRECATED [[deprecated]]

## Typedefs

using | TagLib::offset_t = off_t

## Macro Definition Documentation

## TAGLIB_CONSTRUCT_BITSET

#define TAGLIB_CONSTRUCT_BITSET | ( |  | x | ) |

Value:
static_cast<unsigned long>(x)

## TAGLIB_DEPRECATED

#define TAGLIB_DEPRECATED [[deprecated]]

Referenced by TagLib::FLAC::File::File(), TagLib::FLAC::File::File(), TagLib::MPEG::File::File(), TagLib::MPEG::File::File(), TagLib::TrueAudio::File::File(), TagLib::TrueAudio::File::File(), and TagLib::AudioProperties::operator=().

## TAGLIB_MAJOR_VERSION

#define TAGLIB_MAJOR_VERSION 2

## TAGLIB_MINOR_VERSION

#define TAGLIB_MINOR_VERSION 2

## TAGLIB_PATCH_VERSION

#define TAGLIB_PATCH_VERSION 1